RAXMLHPC(1)

NAME
raxmlHPC - Randomized Axelerated Maximum Likelihood

DESCRIPTION
This is RAxML version 7.2.8 released by Alexandros Stamatakis in October 2010.

With greatly appreciated code contributions by: Andre Aberer (TUM) Simon Berger (TUM) John Cazes (TACC) Michael Ott (TUM) Nick Pattengale (UNM) Wayne Pfeiffer (SDSC) Akifumi S. Tanabe (Univ. Tsukuba)

Please also consult the RAxML-manual

To report bugs send an email to stamatak@cs.tum.edu Please send me all input files, the exact invocation, details of the HW and operating system, as well as all error messages printed to screen.

raxmlHPC[-SSE3|-PTHREADS|-PTHREADS-SSE3|-HYBRID|-HYBRID-SSE3]

-s sequenceFileName -n outputFileName -m substitutionModel

    [-a weightFileName] [-A secondaryStructureSubstModel] [-b bootstrapRandomNumberSeed] [-B wcCriterionThreshold] [-c numberOfCategories] [-C] [-d] [-D] [-e likelihoodEpsilon] [-E excludeFileName] [-f a|b|c|d|e|E|F|g|h|i|I|j|J|m|n|o|p|r|R|s|S|t|u|U|v|w|x|y] [-F] [-g groupingFileName] [-G placementThreshold] [-h] [-H placementThreshold] [-i initialRearrangementSetting] [-I autoFC|autoMR|autoMRE|autoMRE_IGN] [-j] [-J MR|MR_DROP|MRE|STRICT|STRICT_DROP] [-k] [-K] [-M] [-o outGroupName1[,outGroupName2[,...]]] [-O checkPointInterval] [-p parsimonyRandomSeed] [-P proteinModel] [-q multipleModelFileName] [-r binaryConstraintTree] [-R binaryModelParamFile] [-S secondaryStructureFile] [-t userStartingTree] [-T numberOfThreads] [-U] [-v] [-w outputDirectory] [-W slidingWindowSize] [-x rapidBootstrapRandomNumberSeed] [-y] [-Y] [-z multipleTreesFile] [-#|-N numberOfRuns|autoFC|autoMR|autoMRE|autoMRE_IGN]

-a  Specify a column weight file name to assign individual weights to each column of the alignment. Those weights must be integers separated by any type and number of whitespaces whithin a separate file, see file "example_weights" for an example.

-A  Specify one of the secondary structure substitution models implemented in RAxML. The same nomenclature as in the PHASE manual is used, available models: S6A, S6B, S6C, S6D, S6E, S7A, S7B, S7C, S7D, S7E, S7F, S16, S16A, S16B

    DEFAULT: 16-state GTR model (S16)

-b  Specify an integer number (random seed) and turn on bootstrapping

    DEFAULT: OFF

-B  specify a floating point number between 0.0 and 1.0 that will be used as cutoff threshold for the MR-based bootstopping criteria. The recommended setting is 0.03.

    DEFAULT: 0.03 (recommended empirically determined setting)

-c  Specify number of distinct rate catgories for RAxML when modelOfEvolution is set to GTRCAT or GTRMIX Individual per-site rates are categorized into numberOfCategories rate categories to accelerate computations.

    DEFAULT: 25

-C  Conduct model parameter optimization on gappy, partitioned multi-gene alignments with per-partition branch length estimates (-M enabled) using the fast method with pointer meshes described in: Stamatakis and Ott: "Efficient computation of the phylogenetic likelihood function on multi-gene alignments and multi-core processors" WARNING: We can not conduct useful tree searches using this method yet! Does not work with Pthreads version.

-d  start ML optimization from random starting tree

    DEFAULT: OFF

-D  ML search convergence criterion. This will break off ML searches if the relative Robinson-Foulds distance between the trees obtained from two consecutive lazy SPR cycles is smaller or equal to 1%. Usage recommended for very large datasets in terms of taxa. On trees with more than 500 taxa this will yield execution time improvements of approximately 50% While yielding only slightly worse trees.

    DEFAULT: OFF

-e  set model optimization precision in log likelihood units for final optimization of tree topology under MIX/MIXI or GAMMA/GAMMAI

DEFAULT: 0.1
    for models not using proportion of invariant sites estimate

    0.001 for models using proportion of invariant sites estimate

-E  specify an exclude file name, that contains a specification of alignment positions you wish to exclude. Format is similar to Nexus, the file shall contain entries like "100-200 300-400", to exclude a single column write, e.g., "100-100", if you use a mixed model, an appropriatly adapted model file will be written.

-f  select algorithm:

    "-f a": rapid Bootstrap analysis and search for best-scoring ML tree in one program run "-f b": draw bipartition information on a tree provided with "-t" based on multiple trees

    (e.g., from a bootstrap) in a file specifed by "-z"

    "-f c": check if the alignment can be properly read by RAxML "-f d": new rapid hill-climbing

    DEFAULT: ON

    "-f e": optimize model+branch lengths for given input tree under GAMMA/GAMMAI only "-f E": execute very fast experimental tree search, at present only for testing "-f F": execute fast experimental tree search, at present only for testing "-f g": compute per site log Likelihoods for one ore more trees passed via

    "-z" and write them to a file that can be read by CONSEL

    "-f h": compute log likelihood test (SH-test) between best tree passed via "-t"

    and a bunch of other trees passed via "-z"

    "-f i": EXPERIMENTAL do not use for real tree inferences: conducts a single cycle of fast lazy SPR moves

    on a given input tree, to be used in combination with -C and -M

    "-f I": EXPERIMENTAL do not use for real tree inferences: conducts a single cycle of thorough lazy SPR moves

    on a given input tree, to be used in combination with -C and -M

    "-f j": generate a bunch of bootstrapped alignment files from an original alignemnt file.

    You need to specify a seed with "-b" and the number of replicates with "-#"

    "-f J": Compute SH-like support values on a given tree passed via "-t". "-f m": compare bipartitions between two bunches of trees passed via "-t" and "-z"

    respectively. This will return the Pearson correlation between all bipartitions found in the two tree files. A file called RAxML_bipartitionFrequencies.outpuFileName will be printed that contains the pair-wise bipartition frequencies of the two sets

    "-f n": compute the log likelihood score of all trees contained in a tree file provided by

    "-z" under GAMMA or GAMMA+P-Invar

    "-f o": old and slower rapid hill-climbing without heuristic cutoff "-f p": perform pure stepwise MP addition of new sequences to an incomplete starting tree and exit "-f r": compute pairwise Robinson-Foulds (RF) distances between all pairs of trees in a tree file passed via "-z"

    if the trees have node labales represented as integer support values the program will also compute two flavors of the weighted Robinson-Foulds (WRF) distance

    "-f R": compute rogue taxa using new statistical method based on the evolutionary placement algorithm

    WARNING: this is experimental code

    "-f s": split up a multi-gene partitioned alignment into the respective subalignments "-f S": compute site-specific placement bias using a leave one out test inspired by the evolutionary placement algorithm "-f t": do randomized tree searches on one fixed starting tree "-f u": execute morphological weight calibration using maximum likelihood, this will return a weight vector.

    you need to provide a morphological alignment and a reference tree via "-t"

    "-f U": execute morphological wieght calibration using parsimony, this will return a weight vector.

    you need to provide a morphological alignment and a reference tree via "-t"

    "-f v": classify a bunch of environmental sequences into a reference tree using the slow heuristics without dynamic alignment

    you will need to start RAxML with a non-comprehensive reference tree and an alignment containing all sequences (reference + query)

    "-f w": compute ELW test on a bunch of trees passed via "-z" "-f x": compute pair-wise ML distances, ML model parameters will be estimated on an MP

    starting tree or a user-defined tree passed via "-t", only allowed for GAMMA-based models of rate heterogeneity

    "-f y": classify a bunch of environmental sequences into a reference tree using the fast heuristics without dynamic alignment

    you will need to start RAxML with a non-comprehensive reference tree and an alignment containing all sequences (reference + query)

    DEFAULT for "-f": new rapid hill climbing

-F  enable ML tree searches under CAT model for very large trees without switching to GAMMA in the end (saves memory). This option can also be used with the GAMMA models in order to avoid the thorough optimization of the best-scoring ML tree in the end.

    DEFAULT: OFF

-g  specify the file name of a multifurcating constraint tree this tree does not need to be comprehensive, i.e. must not contain all taxa

-G  enable the ML-based evolutionary placement algorithm heuristics by specifiyng a threshold value (fraction of insertion branches to be evaluated using slow insertions under ML).

-h  Display this help message.

-H  enable the MP-based evolutionary placement algorithm heuristics by specifiyng a threshold value (fraction of insertion branches to be evaluated using slow insertions under ML).

-i  Initial rearrangement setting for the subsequent application of topological changes phase

-I  a posteriori bootstopping analysis. Use:

    "-I autoFC" for the frequency-based criterion "-I autoMR" for the majority-rule consensus tree criterion "-I autoMRE" for the extended majority-rule consensus tree criterion "-I autoMRE_IGN" for metrics similar to MRE, but include bipartitions under the threshold whether they are compatible

    or not. This emulates MRE but is faster to compute.

    You also need to pass a tree file containg several bootstrap replicates via "-z"

-j  Specifies that intermediate tree files shall be written to file during the standard ML and BS tree searches.

    DEFAULT: OFF

-J  Compute majority rule consensus tree with "-J MR" or extended majority rule consensus tree with "-J MRE" or strict consensus tree with "-J STRICT". Options "-J STRICT_DROP" and "-J MR_DROP" will execute an algorithm that identifies dropsets which contain rogue taxa as proposed by Pattengale et al. in the paper "Uncovering hidden phylogenetic consensus". You will also need to provide a tree file containing several UNROOTED trees via "-z"

-k  Specifies that bootstrapped trees should be printed with branch lengths. The bootstraps will run a bit longer, because model parameters will be optimized at the end of each run under GAMMA or GAMMA+P-Invar respectively.

    DEFAULT: OFF

-K  Specify one of the multi-state substitution models (max 32 states) implemented in RAxML. Available models are: ORDERED, MK, GTR

    DEFAULT: GTR model

-m  Model of Binary (Morphological), Nucleotide, Multi-State, or Amino Acid Substitution:

    BINARY:

"-m BINCAT"
    : Optimization of site-specific

    evolutionary rates which are categorized into numberOfCategories distinct rate categories for greater computational efficiency. Final tree might be evaluated automatically under BINGAMMA, depending on the tree search option

"-m BINCATI"
    : Optimization of site-specific

    evolutionary rates which are categorized into numberOfCategories distinct rate categories for greater computational efficiency. Final tree might be evaluated automatically under BINGAMMAI, depending on the tree search option

"-m BINGAMMA"
    : GAMMA model of rate

    heterogeneity (alpha parameter will be estimated)

"-m BINGAMMAI"
    : Same as BINGAMMA, but with estimate of proportion of invariable sites

    NUCLEOTIDES:

"-m GTRCAT"
    : GTR + Optimization of substitution rates + Optimization of site-specific

    evolutionary rates which are categorized into numberOfCategories distinct rate categories for greater computational efficiency. Final tree might be evaluated under GTRGAMMA, depending on the tree search option

"-m GTRCAT_FLOAT"
    : Same as above but uses single-precision floating point arithemtics instead of double-precision

    Usage only recommened for testing, the code will run slower, but can save almost 50% of memory. If you have problems with phylogenomic datasets and large memory requirements you may give it a shot. Keep in mind that numerical stability seems to be okay but needs further testing.

"-m GTRCATI"
    : GTR + Optimization of substitution rates + Optimization of site-specific

    evolutionary rates which are categorized into numberOfCategories distinct rate categories for greater computational efficiency. Final tree might be evaluated under GTRGAMMAI, depending on the tree search option

"-m GTRGAMMA"
    : GTR + Optimization of substitution rates + GAMMA model of rate

    heterogeneity (alpha parameter will be estimated)

    "-m GTRGAMMA_FLOAT" : Same as GTRGAMMA, but also with single-precision arithmetics, same cautionary notes as for

    GTRCAT_FLOAT apply.

"-m GTRGAMMAI"
    : Same as GTRGAMMA, but with estimate of proportion of invariable sites

    MULTI-STATE:

"-m MULTICAT"
    : Optimization of site-specific evolutionary rates which are categorized into numberOfCategories distinct rate categories for greater computational efficiency. Final tree might be evaluated automatically under MULTIGAMMA, depending on the tree search option

"-m MULTICATI"
    : Optimization of site-specific evolutionary rates which are categorized into numberOfCategories distinct rate categories for greater computational efficiency. Final tree might be evaluated automatically under MULTIGAMMAI, depending on the tree search option

"-m MULTIGAMMA"
    : GAMMA model of rate heterogeneity (alpha parameter will be estimated)

"-m MULTIGAMMAI"
    : Same as MULTIGAMMA, but with estimate of proportion of invariable sites

    You can use up to 32 distinct character states to encode multi-state regions, they must be used in the following order: 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S, T, U, V i.e., if you have 6 distinct character states you would use 0, 1, 2, 3, 4, 5 to encode these. The substitution model for the multi-state regions can be selected via the "-K" option

    AMINO ACIDS:

"-m PROTCATmatrixName[F]"
    : specified AA matrix + Optimization of substitution rates + Optimization of site-specific

    evolutionary rates which are categorized into numberOfCategories distinct rate categories for greater computational efficiency. Final tree might be evaluated automatically under PROTGAMMAmatrixName[f], depending on the tree search option

"-m PROTCATmatrixName[F]_FLOAT"
    : PROTCAT with single precision arithmetics, same cautionary notes as for GTRCAT_FLOAT apply

"-m PROTCATImatrixName[F]"
    : specified AA matrix + Optimization of substitution rates + Optimization of site-specific

    evolutionary rates which are categorized into numberOfCategories distinct rate categories for greater computational efficiency. Final tree might be evaluated automatically under PROTGAMMAImatrixName[f], depending on the tree search option

"-m PROTGAMMAmatrixName[F]"
    : specified AA matrix + Optimization of substitution rates + GAMMA model of rate

    heterogeneity (alpha parameter will be estimated)

    "-m PROTGAMMAmatrixName[F]_FLOAT" : PROTGAMMA with single precision arithmetics, same cautionary notes as for GTRCAT_FLOAT apply "-m PROTGAMMAImatrixName[F]" : Same as PROTGAMMAmatrixName[F], but with estimate of proportion of invariable sites

    Available AA substitution models: DAYHOFF, DCMUT, JTT, MTREV, WAG, RTREV, CPREV, VT, BLOSUM62, MTMAM, LG, MTART, MTZOA, PMB, HIVB, HIVW, JTTDCMUT, FLU, GTR With the optional "F" appendix you can specify if you want to use empirical base frequencies Please note that for mixed models you can in addition specify the per-gene AA model in the mixed model file (see manual for details). Also note that if you estimate AA GTR parameters on a partitioned dataset, they will be linked (estimated jointly) across all partitions to avoid over-parametrization

-M  Switch on estimation of individual per-partition branch lengths. Only has effect when used in combination with "-q" Branch lengths for individual partitions will be printed to separate files A weighted average of the branch lengths is computed by using the respective partition lengths

    DEFAULT: OFF

-n  Specifies the name of the output file.

-o  Specify the name of a single outgrpoup or a comma-separated list of outgroups, eg "-o Rat" or "-o Rat,Mouse", in case that multiple outgroups are not monophyletic the first name in the list will be selected as outgroup, don't leave spaces between taxon names!

-O  Enable checkpointing using the dmtcp library available at http://dmtcp.sourceforge.net/ This only works if you call the program by preceded by the command "dmtcp_checkpoint" and if you compile a dedicated binary using the appropriate Makefile. With "-O" you can specify the interval between checkpoints in seconds.

    DEFAULT: 3600.0 seconds

-p  Specify a random number seed for the parsimony inferences. This allows you to reproduce your results and will help me debug the program.

-P  Specify the file name of a user-defined AA (Protein) substitution model. This file must contain 420 entries, the first 400 being the AA substitution rates (this must be a symmetric matrix) and the last 20 are the empirical base frequencies

-q  Specify the file name which contains the assignment of models to alignment partitions for multiple models of substitution. For the syntax of this file please consult the manual.

-r  Specify the file name of a binary constraint tree. this tree does not need to be comprehensive, i.e. must not contain all taxa

-R  Specify the file name of a binary model parameter file that has previously been generated with RAxML using the -f e tree evaluation option. The file name should be: RAxML_binaryModelParameters.runID

-s  Specify the name of the alignment data file in PHYLIP format

-S  Specify the name of a secondary structure file. The file can contain "." for alignment columns that do not form part of a stem and characters "()<>[]{}" to define stem regions and pseudoknots

-t  Specify a user starting tree file name in Newick format

-T  PTHREADS VERSION ONLY! Specify the number of threads you want to run. Make sure to set "-T" to at most the number of CPUs you have on your machine, otherwise, there will be a huge performance decrease!

-U  Try to save memory by using SEV-based implementation for gap columns on large gappy alignments WARNING: this will only work for DNA under GTRGAMMA and is still in an experimental state.

-v  Display version information

-w  FULL (!) path to the directory into which RAxML shall write its output files

    DEFAULT: current directory

-W  Sliding window size for leave-one-out site-specific placement bias algorithm only effective when used in combination with "-f S"

    DEFAULT: 100 sites

-x  Specify an integer number (random seed) and turn on rapid bootstrapping CAUTION: unlike in version 7.0.4 RAxML will conduct rapid BS replicates under the model of rate heterogeneity you specified via "-m" and not by default under CAT

-y  If you want to only compute a parsimony starting tree with RAxML specify "-y", the program will exit after computation of the starting tree

    DEFAULT: OFF

-Y  Do a more thorough parsimony tree search using a parsimony ratchet and exit. specify the number of ratchet searches via "-#" or "-N" This has just been implemented for completeness, if you want a fast MP implementation use TNT

    DEFAULT: OFF

-z  Specify the file name of a file containing multiple trees e.g. from a bootstrap that shall be used to draw bipartition values onto a tree provided with "-t", It can also be used to compute per site log likelihoods in combination with "-f g" and to read a bunch of trees for a couple of other options ("-f h", "-f m", "-f n").

-#|-N
    Specify the number of alternative runs on distinct starting trees In combination with the "-b" option, this will invoke a multiple boostrap analysis Note that "-N" has been added as an alternative since "-#" sometimes caused problems with certain MPI job submission systems, since "-#" is often used to start comments. If you want to use the bootstopping criteria specify "-# autoMR" or "-# autoMRE" or "-# autoMRE_IGN" for the majority-rule tree based criteria (see -I option) or "-# autoFC" for the frequency-based criterion. Bootstopping will only work in combination with "-x" or "-b"

    DEFAULT: 1 single analysis

This is RAxML version 7.2.8 released by Alexandros Stamatakis in October 2010.

With greatly appreciated code contributions by: Andre Aberer (TUM) Simon Berger (TUM) John Cazes (TACC) Michael Ott (TUM) Nick Pattengale (UNM) Wayne Pfeiffer (SDSC) Akifumi S. Tanabe (Univ. Tsukuba)